Welcome to Feature Definition Manager

Welcome to the online help for Feature Definition Manager, the software tool that allows you to create and manage feature definitions (properties) that can be easily uploaded to field devices so surveyors can assign them to objects encountered in the field. Office survey processing software can then be used to process the features along with other recorded survey data and export them to other systems (for example, CAD packages).

Understanding Feature Definition Manager

"Features" represent natural and man-made objects that surveyors might observe and record as they collect survey data. Examples include trees, fences, gates, signs, utility poles, and buildings. In order to easily and effectively record feature information for observed objects, the surveyor can use his field device to select from a pre-defined library of features called "feature definitions" and assign the appropriate definition's unique feature code to the object. This, in effect, assigns all of the properties associated with the feature definition to the object (for example, the feature name and code, the symbol used to represent it in graphical software views, and any other customized attributes).

There are two basic types of features, each represented by a different type of feature definition:

  • A point feature is used to identify a single feature, such as tree or utility pole. A point feature definition is represented by the [image] icon in the Explorer pane.
  • A line feature is made up of two or more points that define a line, such as a fence or path. A line feature definition is represented by the [image] icon in the Explorer pane. Line features can also include line control codes that are used to further define linear features (for example, add lines, curves, and arcs between points).

Related topics

Workflow for Feature Definition Manager

Understanding the Interface


Workflow for Feature Definition Manager

The following steps provide a high-level workflow for working with Feature Definition Manager. Click any of the links for more information.

  1. Open or create a feature definition (.fxl) file, or download or import feature definition data.
  2. Enter and edit feature definition (.fxl) file properties.
  3. Create and edit feature definition categories.
  4. Create and edit feature definitions.
  5. Create and edit symbols used for feature definitions.
  6. Create and edit offset lines used with line feature definitions.
  7. Add and edit attributes for feature definitions.
  8. Create and edit line control codes.
  9. Create groups of feature definition codes and line control codes.
  10. Save the feature definition (.fxl) file.
  11. Export the file or upload it to a field device.

Related topics

Welcome to Feature Definition Manager

Understanding the Interface


Understanding the Interface

The Feature Definition Manager's user interface includes common elements.

User Interface

Menu bar

This provides a place from which all commands can be accessed. You can:

  • Click on a menu item
  • Press [Alt] and the menu item's underlined letter (mnemonic). Then, you can press another mnemonic, or use the up and down arrows and press [Enter] to make your selection.

Toolbars

These give you quick access to the most commonly used commands through icons.

The toolbar also includes a search box, in which you can type a feature code. Pressing [Enter] locates and selects the feature in the Explorer pane.

Explorer pane

This shows a tree view of the categories, features, line control codes, and groups in each of your files. The Explorer pane enables you to quickly see, select, move, and organize the elements in your files.

In the Explorer pane, you can:

  • Open multiple files.
  • Create new files, categories, features, and groups by right-clicking and selecting from a context menu.

Properties and attributes panes

These display, and allow you to edit, the properties of selected files, categories, features, groups, and line control codes.

Graphic view

This shows you how feature symbols and annotations will appear in graphic views, and lets you pick and move annotations.

Note: To pan in the graphic view, click and drag the middle mouse button. To zoom in or out, roll the mouse wheel.

Status bar

This displays the current category and feature names, and the cursor's position in the graphic view.

Related topics

Welcome to Feature Definition Manager

Workflow for Feature Definition Manager


Getting Help

This help system includes various ways to find the information you need.

Options
Contents | Click this tab to show all of the help topics in a tree structure. Click a chapter or topic to view it.
Search | Type a keyword in the search box. Then, click List Topics to search for any occurrence of the word in the help topics. Select a topic in the search results, and click Display to open it. The word you search on is highlighted in each help topic. See the Search highlight on/off option below.
Hide/show | Click this to hide the Contents and Search tabs.
Back | Click this to view the previous topic.
Print | Click this to display the Print Topics dialog. Select an option to either print just the selected topic, or the heading and all subtopics.
Options menu
Stop | Click this to end a search function.
Refresh | Click this to reset the display of the current page.
Internet options | Click this to display the Internet Options dialog, where you can set security, privacy, content, connections, programs, and other settings for the Internet.
Search highlight on/off | Click this to enable/disable the highlighting of each instance of the keyword in searched topics.

Related topics

Welcome to Feature Definition Manager


Send Feedback

We are constantly striving to provide you with the most useful documentation possible. If you have comments or suggestions for improvements to the help, release notes, tours, tutorials or workflow guides, please do not hesitate to contact us at:
OSG_Documentation@Trimble.com

All submitted comments and suggestions become the property of Trimble Navigation Limited.


Managing Feature Definition (.fxl) Files

Feature Definition (.fxl) files contain the following types of information, organized in the format that is native to Feature Definition Manager:

  • Feature definition categories
  • Feature definitions
  • Feature attributes
  • Line control codes
  • Feature definition/line control groups
  • Symbols and line styles

Related topics

Creating Feature Definition (.fxl) Files

Opening Feature Definition (.fxl) Files

Converting an FCL File to an FXL File

Entering and Editing Feature Definition (.fxl) File Properties

Feature Definition (.fxl) File Properties

Creating Feature Definition (.fxl) File Templates

Saving Feature Definition (.fxl) Files


Creating Feature Definition (.fxl) Files

To create a new Feature Definition (.fxl) file:

  1. Do one of the following:
    • Select File > New File.
    • Click the [image] icon on the toolbar.

    A new folder icon named New File displays in the Explorer pane, and the File Properties pane displays.

  2. Click in any box and edit the value as needed.

    See File Properties for additional instructions.

    Note: A maximum length of "0" means that no limit is set.

  3. When you are done, do one of the following:
    • Select File > Save.
    • Click the [image] icon on the toolbar.

    The Save dialog displays.

  4. In the Save dialog, type a name for the file, select a file type, and select a location to store the file. Then, click OK.

In the Explorer pane, New File is replaced with the path and file name you specified.

Related topics

Managing Feature Definition (.fxl) Files

Opening Feature Definition (.fxl) Files

Converting an FCL File to an FXL File

Entering and Editing Feature Definition (.fxl) File Properties

Feature Definition (.fxl) File Properties

Creating Feature Definition (.fxl) File Templates

Saving Feature Definition (.fxl) Files


Opening Feature Definition (.fxl) Files

To open an existing Feature Definition (.fxl) file:

  1. Do one of the following:
    • Select File > Open.
    • Click the [image] icon on the New toolbar.

    The Open File dialog displays.

  2. In Open File dialog, locate the file you want to open, and click OK.

    The file icon displays in the Explorer pane, and File Properties pane displays.

    Notes:
    - The sample data FXL file provided with Feature Definition Manager is installed in the application subfolder in the Program Files folder. However, when you open the software, a second version is created in a subfolder in your (My) Documents folder and can be opened from the File menu. It is recommended that you use this version of the file, not the original version stored in the application subfolder in the Program Files folder.
    - By default, all Feature Definition (.fxl) files are opened and saved in Feature Definition Manager in the latest version format, which is compatible with Trimble Access and Survey Controller versions 12.40 and later.

Related topics

Managing Feature Definition (.fxl) Files

Creating Feature Definition (.fxl) Files

Converting an FCL File to an FXL File

Entering and Editing Feature Definition (.fxl) File Properties

Feature Definition (.fxl) File Properties

Creating Feature Definition (.fxl) File Templates

Saving Feature Definition (.fxl) Files


Converting an FCL File to an FXL File

To convert an FCL file to an FXL file:

  1. Select File > Convert File. The Convert File dialog displays.
  2. Type a file name and path for the .fcl file you want to convert in the Select source file box, or click the [image] button and navigate to the .fcl file.
  3. Type a file name and path for the target .fxl file in the Define target box, or click the [image] button and navigate to the .fxl file.
  4. Select the language used in the .fcl file in the Select language list.
  5. Select the .fxl version to which you want to convert the .fcl file.
  6. Click OK.

    The file icon for the newly created .fxl file displays in the Project Explorer pane.


Entering and Editing Feature Definition (.fxl) File Properties

To enter or edit Feature Definition (.fxl) file properties:

  1. In the Explorer pane, select the file with which you want to work.
  2. Do one of the following:
    • Select File > Properties.
    • Click the [image] icon on the toolbar.

    The File Properties pane displays.

  3. Click in any box and edit the value as needed.

    See File Properties for additional instructions.

    Note: A maximum length of "0" means that no limit is set.

  4. When you are done, do one of the following:
    • Select File > Save.
    • Click the [image] icon on the toolbar.

    If you are setting properties for the first time for a new file, the Save dialog displays. In the Save dialog, type a name for the file, select a file type, and select a location to store the file. Then, click OK.

Related topics

Managing Feature Definition (.fxl) Files

Creating Feature Definition (.fxl) Files

Opening Feature Definition (.fxl) Files

Converting an FCL File to an FXL File

Feature Definition (.fxl) File Properties

Creating Feature Definition (.fxl) File Templates

Saving Feature Definition (.fxl) Files


Feature Definition (.fxl) File Properties

Use these options to specify the author, the description, whether the feature codes are numeric only, and the maximum length of certain fields. They are available in the File Properties pane.

Options
Author | Type the name of the creator of the file.
Description | Type additional information about the file.
Date created | Displays the read-only date that the file was first saved.
Date modified | Displays the read-only date the file was last saved.
Defines if the feature codes are numeric only | No - Select to allow alphanumeric codes. Yes - Select to restrict codes to numbers only.
Maximum length of attribute name | Type a value for the highest number of characters allowed in any attribute Name box. Note: A maximum length of "0" means that no limit is set.
Maximum length of category name | Type a value for the highest number of characters allowed in any attribute Name box.
Maximum length of feature name | Type a value for the highest number of characters allowed in any feature Name box.
Maximum length of feature code | Type a value for the highest number of characters allowed in any feature Name box.
Maximum number of codes / group | Type a value for the highest number of feature or control codes allowed in any group. This will be determined by the type of field device you plan to use.

Related topics

Managing Feature Definition (.fxl) Files

Creating Feature Definition (.fxl) Files

Opening Feature Definition (.fxl) Files

Converting an FCL File to an FXL File

Entering and Editing Feature Definition (.fxl) File Properties

Creating Feature Definition (.fxl) File Templates

Saving Feature Definition (.fxl) Files


Creating Feature Definition (.fxl) File Templates

You can create one or more templates containing the feature data you use most often. This saves you time and ensures consistency between projects.

To create a template file:

  1. Open an existing file similar to the template you want to create, or create a new file.

    Note: For the following steps, see the appropriate help topic for instructions.

  2. Set file properties as needed.
  3. Create, edit, and delete categories, features, attributes, control codes, and groups as needed.
  4. Create, edit, and delete annotations and symbols as needed.
  5. Select File > Save As. The Save As dialog displays.
  6. In the Save As dialog, do the following:
    1. Type a name for the file.
    2. Select a file type.
    3. Select a location to store the file.
    4. Click OK.

Related topics

Managing Feature Definition (.fxl) Files

Creating Feature Definition (.fxl) Files

Opening Feature Definition (.fxl) Files

Converting an FCL File to an FXL File

Entering and Editing Feature Definition (.fxl) File Properties

Feature Definition (.fxl) File Properties

Saving Feature Definition (.fxl) Files


Saving Feature Definition (.fxl) Files

Save your Feature Definition (.fxl) file early and often.

Warning: Changes are not saved to your files until you save.

To save a Feature Definition (.fxl) file:

  1. Do one of the following:
    • Select File > Save.
    • Click the [image] icon on the toolbar.

    If you have saved the file before, no dialog displays, and the file is saved. If this is the first time you have saved the file, the Save dialog displays.

  2. If the Save dialog displays, do the following:
    1. Type a name for the file.
    2. Select a file type.
    3. Select a location to store the file.
    4. Click OK. New File in the Explorer pane is replaced with the path and file name you specify.

To save a Feature Definition (.fxl) file with a new name:

  1. Select File > Save as. The Save As dialog displays.
  2. In the Save As dialog, do the following:
    1. Type a name for the file.
    2. Select a file type.
    3. Select a location to store the file.
    4. Click OK. The new file name displays in the Explorer pane.

Related topics

Managing Feature Definition (.fxl) Files

Creating Feature Definition (.fxl) Files

Opening Feature Definition (.fxl) Files

Converting an FCL File to an FXL File

Entering and Editing Feature Definition (.fxl) File Properties

Feature Definition (.fxl) File Properties

Creating Feature Definition (.fxl) File Templates


Downloading and Importing Feature Definition Data

You can "download" feature definition data directly from a field device, or you can "import" feature definition data that is saved in a file.

Note: To import or download data, you must have a file open already. Imported and downloaded data is placed into the current file.

To download feature definition data from a field device:

  1. Connect the field device to your computer.
  2. Click File > Import. The Import File dialog displays.
  3. Click Download from a device.
  4. Select a field device in the Device Name list.
  5. Select a program in the Application list.
  6. Click OK. The downloaded data appears in your file in the Explorer pane.

To import feature definition data from a file:

  1. Click File > Import. The Import File dialog displays.
  2. Click Import from file.
  3. Type a file path and name in the Source File box, or click the [image] button and navigate to the file you need.
  4. Select a program in the Application list.
  5. Click OK. The downloaded data appears in your file in the Explorer pane.

Related topics

Download and Import Options

Import and Export Formats

Importing Data Dictionary Files (.ddf)


Download and Import Options

Use these options to import external data from another application or a field device. They are available in the Import File dialog.

Feature Definition Manager's native file format is .fxl, which efficiently stores and organizes feature definitions. The manager's importer also makes it compatible with many other formats.

Options
Source file | Specify the path and file you want to import, or click the [image] button and navigate the file.
File type | Displays the format of the selected file.
Import from file | Click to select from files stored on your local or network drives.
Download from a device | Click to choose from files stored on a connected field device.
Device name | Displays the name of the field device you have connected.
Application | Select the field software for which the feature file is intended.

Related topics

Downloading and Importing Feature Definition Data

Import and Export Formats

Importing Data Dictionary Files (.ddf)


Import and Export Formats

The Feature Definition Manager allows you import from, and export to, various software programs in the following formats.

Import | File format | Export
 | .fal - feature and attribute library file |
 | .ddf - data dictionary file |
 | .csv - simple text file |
 | .lst - Nikon code list file |
 | .xml - Geodatabase file |

Related topics

Downloading and Importing Feature Definition Data

Importing Data Dictionary Files (.ddf)

Download and Import Options


Exporting Data Dictionary Files (.ddf)

If you are using Trimble® GPS Pathfinder® software, you can import data dictionary files (.ddf) from the Data Dictionary Editor. Importing feature data in this format saves you from recreating attributes in the Feature Definition Manager.

When a data dictionary file is imported, all line and area features are converted to point features, but the attribute definitions remain unchanged.

If a .ddf feature with the same name already exists in your feature definition library:

  • Attributes in the .ddf version overwrite attributes in the existing feature.
  • Point styles, line styles, and annotation templates for the existing feature remain because .ddf files do not contain this information.

If a .ddf feature does not exist in your feature library, it will display with a question mark because no point style is defined.

Otherwise, features imported from a data dictionary file are essentially the same as features created in the Feature Definition Manager.

Related topics

Downloading and Importing Feature Definition Data

Download and Import Options

Import and Export Formats


Importing Geodatabase Files (.xml)

When importing feature definitions from a geodatabase (.xml) file, note the following:

  • Geodatabase files do not support feature definition codes. When you import the geodatabase file into Feature Definition Manager, the definition names are used for the definition codes. You can change the names or codes after import.
  • Geodatabase files do not support spaces in feature definition names. When you import the geodatabase file into Feature Definition Manager, instead of spaces, underscores are included in the definition names and codes. You can edit names and codes after import.
  • Geodatabase files do not support categories. When you import the geodatabase file into Feature Definition Manager, all imported feature definitions are assigned to a Miscellaneous category. If necessary, you can arrange the feature definitions in new or existing categories after import.
  • Geodatabase files do not support default attribute values or lines and symbols. If necessary, you can add these properties after import.

Related topics

Downloading and Importing Feature Definition Data

Download and Import Options

Import and Export Formats


Working with Feature Definition Categories

You can use categories to organize feature definitions into sets of similar definitions. Categories enable field crews to quickly select only the feature definitions they need for a particular type of job, in preparation for collecting field data.

When you select a category in the Explorer pane, a list of feature definitions in the category displays in the main window.

Related topics

Creating and Editing Feature Definition Categories


Creating and Editing Feature Definition Categories

To create a feature definition category:

  1. In the Explorer pane, right-click the file to which you want to add the new category, and select New > New Category. A new category Name pane displays.
  2. Enter the name for the new category in the Name box.
  3. Click anywhere in the Explorer pane. The new category is displayed in the Explorer pane.

To edit a feature definition category name:

  1. In the Explorer pane, click the name of the category you want to edit. The category Name pane displays.
  2. In the Name box, type the new category name.
  3. Click anywhere in the Explorer pane. The newly named category is displayed in the Explorer pane.

Related topics

Working with Feature Definition Categories


Working with Feature Definitions

Feature definitions are used to represent the types of features that potentially exist in the field (for example, footways, utility poles, and so on). The Feature Definition Manager comes with a set of pre-defined feature definitions for you to use as a starting point in building your own feature definition library.

Each feature definition in a file must have a unique name and code, although you can have multiple files open concurrently containing feature definitions of the same name and/or code.

The toolbar also includes a search box in which you can type the name of a feature definition, control code, or group. Pressing [Enter] locates and selects the feature in the Explorer pane.

There are two types of feature definitions available:

  • A point feature is used to identify a single feature, such as tree or utility pole. A point feature definition is represented by the [image] icon in the Explorer pane.
  • A line feature is made up of two or more points that define a line, such as a fence or path. A line feature definition is represented by the [image] icon in the Explorer pane. Line features can also include line control codes that are used to further define linear features (for example, add lines, curves, and arcs between points).

Related topics

Creating and Editing Feature Definitions

Feature Definition Options


Creating and Editing Feature Definitions

To create a feature definition:

  1. In the Explorer pane, click the file to which you want to add the new feature.
  2. Do one of the following:
    • Select Edit > New > New Feature Definition.
    • Click the [image] icon on the New toolbar.

    The New Feature Definition dialog displays.

    Note: For the following steps, see Feature Definition Options for details.

  3. Type appropriate values in the Name and Code boxes.
  4. Select appropriate options from the Category, Type, Colour, and Layer lists.
  5. If appropriate, check the Include in surface, Breakline in surface, or Reverse direction options. (The Breakline in surface and Reverse direction options are available only if you are creating a line feature definition.)
  6. When you are done, click OK. A new feature definition icon is added in the Explorer pane beneath the category you selected.

To edit an existing feature definition:

  1. In the Explorer pane, click the name of the feature definition you want to edit. The Feature Definition Properties pane displays.
  2. Click in any of the boxes in the Feature Definition Properties pane to edit the properties. See Feature Definition Options for details.
  3. Press TAB, or select another item in the Explorer pane, to accept the change.

Related topics

Working with Feature Definitions

Feature Definition Options


Feature Definition Options

Use these options to define properties for a feature definition. They are available in the New Feature Definition dialog and the Feature Definition Properties pane.

Options

Name

Type a unique identifier for the feature definition. Within each file, no two feature definitions can have the same name.

Code

Type a unique abbreviation of the feature definition's name.

Category

Select the category in which the feature definition will be stored.

Type

Point feature - Select this option to create a point feature definition. A point feature is used to identify a single feature, such as tree or utility pole.

Line feature - Select this option to create a line feature definition. A line feature is made up of two or more points that define a line, such as a fence or path.

Layer

Select the appropriate layer for the feature definition, if layers have been previously defined for the file. Or, select one of the following options:

0 - Select this option to leave the new feature on the default layer.

Points - Select this option to put a point feature on the same layer as other point feature definitions.

<<New layer>> - Select this option to display the New Layer dialog, in which you can define the following properties for the new layer:

  • Layer name
  • Colour
  • Line style

    If you need to import a line style, select the <<Import line styles>> option. The Line Style Manager dialog displays. This dialog allows you to import and delete line styles. For instructions, see Working with Line Styles.

Colour

By Layer - Select this option to have the feature inherit its display colour from the layer on which it resides.

(colour) - Select a specific colour for the feature definition's display in the graphic view.

Line style

Select the appropriate line style.

If you need to import a line style, select the <<Import line styles>> option. The Line Style Manager dialog displays. This dialog also allows you to delete line styles. For instructions, see Working with Line Styles.

This option is available only if you are creating or editing a line feature definition.

Line style scale

Type a scale factor for the symbols used to represent a line.

This option is available only if you are creating or editing a line feature definition.

Include in surface

Check to allow the feature to be used in surface creation operations after the feature codes are processed in another application.

Related topics

Working with Feature Definitions

Creating and Editing Feature Definitions

Working with Line Styles


Working with Line Styles

The Line Style Manager dialog displays when you select the <<Import line styles>> option when creating or editing a line.

To import line styles:

  1. Select the appropriate Length unit and Unit reference options.
  2. Click the Browse button to locate the line style file from which you want to import the line style(s).
  3. In the right-hand list, select the line style(s) you want to import and click the Move (<) button to move your selections to the left-hand list; or, click the Move (<<) button to move all items in the right-hand list to the left-hand list. The left-hand list displays all of the line styles available in the project.
  4. When you are done, click OK. The newly imported line styles are now available for you to select in the Line Style list.

To delete line styles:

  1. In the left-hand list, select the line style(s) you want to delete.
  2. Click the Delete (X) button.
  3. When you are done, click OK.

Related topics

Feature Definition Options

Offset Feature Line Options


Working with Feature Symbols

Features can be displayed as symbols in graphical views in the office survey processing software. You can specify which symbols are used with each feature definition.

Related topics

Assigning, Editing, and Deleting Feature Symbols

Feature Symbol Options


Assigning, Editing, and Deleting Feature Symbols

To assign a symbol to a feature definition:

  1. In the Explorer pane, right-click the feature definition to which you want to assign a symbol and select New > New Symbol. The Symbol dialog displays.
  2. Complete the fields as described in Feature Symbol Options.
  3. When you are done, click OK. The newly assigned symbol displays in the Lines and Symbols list.

To edit a symbol:

  1. In the Explorer pane, click the feature definition for which you want to edit a symbol.
  2. In the Lines and Symbols list, double-click the symbol you want to edit. The Symbol dialog displays.
  3. Complete the fields as described in Feature Symbol Options.
  4. When you are done, click OK.

To delete a symbol:

  1. In the Explorer pane, click the feature definition from which you want to delete a symbol.
  2. In the Lines and Symbols list, right-click the symbol you want to delete.
  3. In the context menu, click Delete.

Related topics

Working with Feature Symbols

Feature Symbol Options


Feature Symbol Options

Use these options, which are displayed in the Symbol dialog, to define the properties of a symbol.

Options

Name

Type an identifier for the symbol.

Description

Type general comments about the symbol.

Symbol

Select a symbol to represent the feature.

If you need to import a symbol, select the <<Import symbols>> option. The Symbol Manager dialog displays. This dialog allows you to import and delete symbols. For instructions, see Working with Symbols.

Colour

By Layer - Select this option to use the colour from the layer the feature codes are on in the survey processing software.

By Block / Feature - Select this option to use the colour from the layer that the feature is on.

(colour) - Select an appropriate colour.

Placement

Rotation

Fixed value - Select this option to open the Value box, in which you can type a rotation angle for the symbol. Rotation is counterclockwise.

Attribute - Select this option to open the Attribute name list, from which you can select the appropriate attribute name. The symbol will be rotated by the value (in degrees) defined in the attribute.

Symbol size and scaling

Dimensioning

Ground - Select this option to scale the symbol to a specific ground size based on a fixed value or attribute.

Paper - Select this option to scale the symbol to the plot scale defined for your project based on a fixed value or attribute.

Input method

Fixed value - Select this option to open the Value box, in which you can type a size for the symbol.

If you select Ground in the Dimensioning group box, the symbol is scaled to the ground size based on the value you enter. For example, if you enter 1 metre, the ground size of the symbol will be 1 metre.

If you select Paper in the Dimensioning group box, the symbol is scaled to the plot scale defined for your project based on the value you enter. For example, if you enter 1 millimetre and your project plot scale is 100, the ground size of the symbol will be 0.1 metres (1 mm x 100). The default plot scale used to display the symbol in Feature Definition Manager is 100; however, your project plot scale might be different.

Attribute - Select this option to open the Attribute name list, from which you can select the appropriate attribute name. The symbol will be sized based on the value specified for the attribute.

If you select Ground in the Dimensioning group box, the symbol is scaled to the ground size based on the value specified for the selected attribute.For example, if you select an attribute whose value is 1 and your display unit is metres, the ground size of the symbol will be 1 metre.

If you select Paper in the Dimensioning group box, the symbol is scaled to the plot scale defined for your project based on the value specified for the selected attribute. For example, if you select an attribute whose value is 1 and your project plot scale is 100, the size of the symbol will be 0.1 metres (1 mm x 100). The default plot scale used to display the symbol in Feature Definition Manager is 100; however, your project plot scale might be different.

Note: To change the display units, click the Edit Preferences button. The display units you select here should match the display units used in your project.

Related topics

Working with Feature Symbols

Assigning Editing, and Deleting Feature Symbols

Working with Symbols


Working with Symbols

The Symbol Manager dialog displays when you select the <<Import symbols>> option when working with a symbol.

To import or remove symbols:

  1. In the Symbol Manager dialog, click the [image] button and navigate to the file containing the symbol(s) you want to import.

    A default symbols file is installed at:
    C:\Program Files\Trimble\Feature Definition Manager\PEditor\Symbols.sym
  1. Do any of the following:
    • To import all of the symbols from the selected file, click the << button.
    • To import a single symbol from the selected file, select it in the right list and click the < button.
    • To remove a symbol, select it in the left list and click the X button.
  2. When you are done, click OK.

Related topics

Feature Symbol Options


Working with Offset Feature Lines

If you want to create one or more offset lines for a line feature, as opposed to a single centreline, you can assign offset lines to the feature definition used to define the line. For example, you might want to add two offset lines to the line feature for a footway: one that is 2 units to the left of the footway centreline to define the left edge and one that is 2 units to the right of the footway centreline to define the right edge. In this case, you could add two offset lines to the feature definition: one using a horizontal offset value of 2, and one using a horizontal offset value of -2. You could even use different colours and styles for the offset lines if you wanted.

Note: When you add an offset line to a line feature definition, the centreline is no longer displayed.

Related topics

Assigning, Editing, and Deleting Offset Feature Lines

Offset Feature Line Options


Assigning, Editing, and Deleting Offset Feature Lines

To assign an offset line to a line feature definition:

  1. In the Explorer pane, right-click the line feature definition to which you want to assign an offset line and select New > New Line. The Line dialog displays.
  2. Complete the fields as described in Offset Feature Line Options.
  3. When you are done, click OK. The newly assigned offset line displays in the Lines and Symbols list.

To edit an offset line:

  1. In the Explorer pane, click the feature definition for which you want to edit an offset line.
  2. In the Lines and Symbols list, double-click the offset line you want to edit. The Line dialog displays.
  3. Complete the fields as described in Offset Feature Line Options.
  4. When you are done, click OK.

To delete an offset line:

  1. In the Explorer pane, click the feature definition from which you want to delete an offset line.
  2. In the Lines and Symbols list, right-click the offset line you want to delete.
  3. In the context menu, click Delete.

Related topics

Working with Offset Feature Lines

Offset Feature Line Options


Offset Feature Line Options

Use these options, which are displayed in the Line dialog, to define the properties of an offset feature line.

Options
Name | Type an identifier for the offset line.
Description | Type general comments about the offset line.
Style | Select the appropriate line style. If you need to import a line style, select the <<Import line styles>> option. The Line Style Manager dialog displays. This dialog allows you to import and delete line styles. For instructions, see Working with Line Styles.
Scale | Type a scale factor for the symbols used to represent the line.
Colour | By Layer - Select this option to use the colour from the layer the feature codes are on in the survey processing software. By Block / Feature - Select this option to use the colour from the layer that the feature is on. (colour) - Select an appropriate colour.
Horizontal offset | Type the distance to horizontally offset the line from the feature centre line. This creates an additional line.
Vertical offset | Type the distance to vertically offset the line from the feature centre line. This creates an additional line.
Offset Type | Ground - Select this option to use the actual project units for the horizontal and vertical offset distances. Sheet - Select this option to use the paper units for the horizontal and vertical offset distances.

Related topics

Working with Offset Feature Lines

Assigning, Editing, and Deleting Offset Feature Lines

Working with Line Styles


Working with Feature Attributes

Feature attributes are characteristics assigned to feature definitions that are used to further describe features. Feature attributes can be used to:

  • Pre-define commonly encountered characteristics so that field crews can quickly apply them to features. For example, with the feature "Tree", you can add the attributes Species, Height, Girth, and Condition. Each tree feature recorded in the field can have its own values for these attributes.
  • Control what types of information can, and must, be collected about features in the field. For example, if you want to require a symbol for every tree recorded, you can add the symbol attribute to the tree feature and make it a Required attribute. The field collection device will prompt and require that the field crew specify a symbol for each feature they log.

Related topics

Assigning and Editing Feature Attributes

Feature Attribute Options


Assigning and Editing Feature Attributes

To assign an attribute to a feature definition:

  1. In the Explorer pane, right-click the feature definition to which you want to assign an attribute and select New > New Attribute > (attribute type). The dialog for the select attribute type displays.

    See Feature Attribute Options for descriptions of each the available attribute types and links to topics describing how to enter properties for each in the specified (attribute type) dialog.

  2. When you are done specifying properties in the (attribute type) dialog, click OK. The newly assigned attribute displays in the Attributes list for the feature definition in the main window.

To edit an existing attribute:

  1. In the Explorer pane, click the feature definition for which you want to edit an attribute.
  2. In the Attributes list, double-click the attribute you want to edit. The (attribute type) dialog displays.
  3. Complete the fields as described in Feature Attribute Options.
  4. When you are done, click OK.

Related topics

Working with Feature Attributes

Feature Attribute Options


Feature Attribute Options

The following options enable you to add attributes that field crews can choose from when logging a feature in the field. They are available in the context menu when you right-click a feature and select New > New Attribute.

Options

Number

Select this option if you need to capture attributes with numeric values, such as the girth or height of trees, or the concentrations of pollutants at particular locations.

You can only enter whole numbers or decimals in number attribute boxes.

Text

Select this option if you need to capture attributes using alphanumeric characters, such as street or utility owner names.

Although you can add numbers in a Text attribute, if your attribute will always be numeric, use the Number attribute instead.

Date

Select this option if you need to capture attributes in standard date formats, such as installation dates of a power poles.

Time

Select this option if you need to capture attributes in time formats, such as the hour and minute that you logged a feature.

List

Select this option if you need to capture attributes by selecting from multiple options in a list, such as the five possible monument types in your project.

File

Select this option if you need to capture file attributes.

Photo

Select this option if you need to capture photo attributes.

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes


Feature Attribute: Number Options

Use these options to define attributes composed of numeric values. They are available in the Number dialog.

Options
Name | Type an identifier for the attribute.
Description | Type general comments about the attribute. This box is optional, and it is not used during fieldwork.
Entry mode | Office use only - Select this option when the attribute cannot be specified on a field device; it must be entered via computer. Optional - Select this option when the user can choose whether to specify the attribute or not. Required - Select this option when the attribute must be specified with a valid value.
Default value | Type the most common value that will be entered; it will automatically appear in the attribute box.
Field device specific |
Minimum value | Type the lowest number allowed for the attribute.
Maximum value | Type the highest number allowed for the attribute.
Number of decimals | Type the number of decimal places that you want to be allowed to the right of the decimal point. Enter a value of 0 to only allow whole numbers to be entered.

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes

Feature Attribute Options


Feature Attribute: Integer Options

Use these options to define attributes composed of integer values. They are available in the Integer dialog.

Options
Name | Type an identifier for the attribute.
Description | Type general comments about the attribute. This box is optional, and it is not used during fieldwork.
Entry mode | Office use only - Select this option when the attribute cannot be specified on a field device; it must be entered via computer. Optional - Select this option when the user can choose whether to specify the attribute or not. Required - Select this option when the attribute must be specified with a valid value.
Default value | Type the most common value that will be entered; it will automatically appear in the attribute box.
Field device specific |
Minimum value | Type the lowest integer allowed for the attribute.
Maximum value | Type the highest integer allowed for the attribute.

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes

Feature Attribute Options


Feature Attribute: Text Options

Use these options to define text attributes composed of strings of letters, numbers, and other characters to be entered. They are available in the Text dialog.

Options
Name | Type an identifier for the attribute.
Description | Type general comments about the attribute. This box is optional, and it is not used during fieldwork.
Entry mode | Office use only - Select this option when the attribute cannot be specified on a field device; it must be entered in the feature file definition. Optional - Select this option when the user can choose whether to specify the attribute or not. Required - Select this option when the attribute must be specified with a valid value.
Default value | Type the most common value that will be entered; it will automatically appear in the attribute box. If you do not enter a default value, this attribute is initially set to null (no value).
Maximum length | Type the maximum length of characters that can be entered (up to 100 characters). This field must be given a value; the default is 30.

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes

Feature Attribute Options


Feature Attribute: Date Options

Use these options to define a format for a date attribute. They are available in the Date dialog.

Options
Name | Type an identifier for the attribute.
Description | Type general comments about the attribute. This box is optional, and it is not used during fieldwork.
Entry mode | Office use only - Select this option when the attribute is not set in the field; it must be entered via the computer. Optional - Select this option when the user can choose whether to specify the attribute or not. Required - Select this option when the attribute must be entered in the field.
Format | Select a date format from the list. Note: To export data to one of the available GIS export formats, make sure that the date format you specify for any date attributes is the same as the date format on the computer that has the GIS software. Many GIS systems check the date setting of the computer when importing files and assume that the dates in the files are in the same format as the settings of the computer. If the settings are different, you can get null values in the GIS software.

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes

Feature Attribute Options


Feature Attribute: Time Options

Use these options to define the format for a time attribute. They are available in the Time dialog.

Options
Name | Type an identifier for the attribute.
Description | Type general comments about the attribute. This box is optional, and it is not used during fieldwork.
Entry mode | Office use only - Select this option when the attribute cannot be specified on a field device; it must be entered via computer. Optional - Select this option when the user can choose whether to specify the attribute or not. Required - Select this option when the attribute must be specified with a valid value.
Format | Select a time format in the list. Note: To export data to one of the available GIS export formats, make sure that the date format you specify for any date attributes is the same as the date format on the computer that has the GIS software. Many GIS systems check the date setting of the computer when importing files, and assume that the dates in the files are in the same format as the settings of the computer. If the settings are different, you can get null values in the GIS software.

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes

Feature Attribute Options


Feature Attribute: List Options

Use these options to define attributes that require a number of pre-defined, selectable values. They are available in the List dialog.

Options
Name | Type an identifier for the attribute.
Description | Type general comments about the attribute. This box is optional, and it is not used during fieldwork.
Entry mode | Office use only - Select this option when the attribute cannot be specified on a field device; it must be entered via computer. Optional - Select this option when the user can choose whether to specify the attribute or not. Required - Select this option when the attribute must be specified with a valid value.
List values | Using the buttons, build a list from which you can select an option. Up - Click this button to move the selected list item up in the list. Down - Click this button to move the selected list item down in the list. Default - Click this button to make the selected item the value that appears in the list if you do not select anything else. Add - Click this button to insert a new entry into the list. Then type the entry. Remove - Click this button to delete an item from the list. Note: To edit a list entry, select it in the List values, and type a new name.
Default | Type the most common value that will be entered; it will automatically appear in the attribute box. If you do not enter a default value, this attribute is initially set to null (no value).

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes

Feature Attribute Options


Feature Attribute: File Options

Use these options to define file attributes. They are available in the File dialog.

Options
Name | Type an identifier for the attribute.
Description | Type general comments about the attribute. This box is optional, and it is not used during fieldwork.
Entry mode | Office use only - Select this option when the attribute cannot be specified on a field device; it must be entered via computer. Optional - Select this option when the user can choose whether to specify the attribute or not. Required - Select this option when the attribute must be specified with a valid value.

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes

Feature Attribute Options


Feature Attribute: Photo Options

Use these options to define photo attributes. They are available on the Photo dialog.

Options

Name

Type an identifier for the attribute.

Description

Type general comments about the attribute.

This box is optional, and it is not used during fieldwork.

Entry mode

Office use only - Select this option when the attribute cannot be specified on a field device; it must be entered via computer.

Optional - Select this option when the user can choose whether to specify the attribute or not.

Required - Select this option when the attribute must be specified with a valid value.

Auto Generate - Select this option when the attribute must be a photo captured via the device.

Auto Generate - Read Only - Select this option when the attribute must be a photo captured via the device, and the photo cannot be edited in the device.

Related topics

Working with Feature Attributes

Assigning and Editing Feature Attributes

Feature Attribute Options


Working with Line Control Codes

Surveyors can assign line control codes to points during field data collection to specify properties for an associated line feature. For example, they can assign a line control code to a point to specify where a feature line starts or ends. When the feature codes are processed in the office survey processing software, line control codes modify line objects according to the instructions of the code.

Note: You can edit the pre-defined list of available control codes, but you cannot change the action that is performed by each.

Related topics

Creating and Editing Line Control Codes

Line Control Code Options


Creating and Editing Line Control Codes

To create a new line control code:

  1. Do one of the following:
    • Select Edit > New > New Line Control Code.
    • Right-click in the explorer pane, and select New > New Line Control Code.
    • Click the i_new control code icon on the toolbar.

    The Line Control Code dialog displays.

    Note: See Line Control Code Options for complete descriptions of all the options available in the Line Control Code dialog.

  2. Type an abbreviation for the code in the Name box.
  3. Type an abbreviation for the code in the Code box.
  4. Select an action for the code to perform in the All actions list. The Selected action box above it displays information about how the code modifies a feature.
  5. Click OK.

To edit an existing line control code:

  1. Select the code you want to edit in the Explorer pane. The Line Control Code Properties display in the main window.
  2. Click in the Name or Code boxes, and edit as needed.

    Note: You cannot change the action for an existing line control.

  3. Press TAB, or select another item in the Explorer pane, to accept the change.

Related topics

Working with Line Control Codes

Line Control Code Options


Line Control Code Options

Use these options to modify control codes, and create new ones. They are available in the New Line Control Code dialog.

Options

Name

Type an identifier for the control code.

Code

Type an abbreviation of the line control code to be used in the field.

Selected action

This displays information about how the selected control code modifies a feature.

All actions

Starts line

Select this action to start a new line joining sequence. The previous joining sequence with the same code is ended.

Use this to prevent the point from being joined to the previous point with the same code, and to start a new joining sequence.

In some applications, this control code is not required to start a new line if line features with the same name are joined automatically.

Note: You can use Start line to produce results similar to End line.

Ends line

Select this action to end a line joining sequence.

Use this when you want to prevent a line from being drawn between the point with the End line control code and the next point with the same feature code.

Joins to point

Select this action to join a line sequence to a specified point ID.

Ignores join

Select this action to ignore any joining operation.

Closes to point

Select this action to close to the first point in a sequence with the same feature code. At least three points are required. The points must have the same feature code, and the feature code for the final point must be followed by the Close control code.

Use this to close a feature when a new one is started or the feature is ended.

If there is a line style defined for the common feature code that was used, the close is drawn using the line style defined. If there is not a line style defined, the line is drawn in the default line style for the current layer.

Tip: Set the default line style for layers first.

Starts tangential arc

Select this action to start a tangential arc. Points defining the entry tangent are required. The azimuth between the point that has the start arc control code and the previous point with the same feature code defines the entry tangent direction.

An arc can be created in these situations:

  • An arc starting and ending tangentially where there are points available defining the entry and exit tangent directions. This means that a fully-tangential arc requires four points. If the radii computed from the two tangent points are not exactly equal the system will automatically add a new point and short tangential line segment to achieve two true tangent points.
  • An arc starting tangentially and ending non-tangentially with a point available to define the entry tangent direction. The system uses the known tangent point and tangent direction, along with the arc end point, to compute the arc centre point and add the arc.
  • An arc starting non-tangentially, one or more points fixed on the arc, and then ending non-tangentially. The system uses the points fixed along the arc to compute the centre point for the best fitting arc through the points and then adds the arc. In the case of three points being used, the arc will pass through the middle point.

Ends tangential arc

Select this action to end a tangential arc. Points defining the exit tangent are required. The azimuth between the point with the end arc control code and the next point with the same feature code defines the exit tangent direction.

When these control codes are used, the centre point for the arc is determined by calculation using the available data.

Starts non-tangential arc

Select this action to start a non-tangential arc. A previous point with the same feature code is not required.

A non-tangential arc requires three or more points (the New Arc point, the End On Arc point, and one or more points between them that define the arc). The points used must have the same feature code.

Note: If there are no points with the same feature code between the New arc point and End on arc point, the arc is drawn as a tangential arc, where the centre point is the mid point of the line between the two points.

Ends non-tangential arc

Select this action to end a non-tangential arc. A next point with the same feature code is not required to end an arc this way.

This ends the non-tangential arc started by the previous new arc control code. An arc is defined by three points. When these control codes are used, a curve of best fit is drawn between the points. From the curve, the centre point is determined.

Related topics

Working with Line Control Codes

Creating and Editing Line Control Codes


Working with Feature Definition/Line Control Groups

Some field devices enable you to group a set of feature definition codes and line control codes so that they correspond with buttons on the device. You can create multiple groups from which field crews can select the one they need for the particular job.

Related topics

Creating and Editing Feature Definition/Line Control Groups

Group Options


Creating and Editing Feature Definition/Line Control Groups

To create a group of feature definitions and line control codes:

  1. In the Explorer pane, click the file to which you want to add the new group.
  2. Do one of the following:
    • Select Edit > New > New Group.
    • Click the [image] icon on the toolbar.

    The Group Properties pane displays, and a new group icon is displayed in the Explorer pane.

    Note: See Group Options for complete descriptions of all the options available in the Group Properties pane.

  3. Type values in the Name and Description boxes.
  4. Select a feature definition or line control code in the All codes list.
  5. Click the left arrow button to move the code left into the Codes in group list.

    Note: You can also double-click codes in the All codes list to move them into the group.

    You can merge two or more feature definition and/or line control codes to make it easier to assign to features in the field, as explained in the next step.

  6. To merge feature definition codes and/or line control codes:
    1. Select a code that you want to merge in the Codes in group list.
    2. In the All codes list, select a code that you want to merge with the selected code in the Codes in group list.
    3. Click the [image] icon. The second code you selected is combined with the code in the Codes in group list.
    4. Repeat steps a to c as necessary to merge additional codes.
  7. Repeat this procedure as necessary to add additional codes to the group. The total number of codes you can include appears above the Codes in group list.

    Note: Feature codes can be placed in more that one group. You can also use a feature code more than once in a group, as long as it is merged with a different control code.

  8. If necessary, click the up and down arrow icons to arrange the codes within the group.
  9. When you are done, click a different object in the Explorer pane to save your changes..

To edit an existing group:

  1. In the Explorer pane, click the name of the category you want to edit. The Group properties pane displays.
  2. If necessary, change the name and/or description.
  3. If necessary, make changes in the Codes in group list as explained above.
  4. When you are done, click a different object in the Explorer pane to save your changes.

Related topics

Working with Feature Definition/Line Control Groups

Group Options


Group Options

Use these options to create a new group of feature definition and line control codes to use in a field device. They are available in the Group Properties pane.

Options

Name

Type an identifier for the group.

Description

Type additional information about the group.

Codes

Codes in group - Displays each of the feature definition and line control codes you have added to the group so far, enabling you to select any and remove or rearrange them.

All codes - Displays all of the feature definition and line control codes in the current file, and enables you to select any code and add it to the group.

Sort alphabetically - Check this box to sort your Codes in Group list to make them list alphabetically on the field device.

Related topics

Working with Feature Definition/Line Control Groups

Creating and Editing Feature Definition/Line Control Groups


Exporting and Uploading Feature Definition Data

You can "upload" feature definition data directly to a field device, or you can "export" feature definition data to a file. All features definitions are exported, whether they contain attributes or not; however, line control codes are not exported. Feature definitions are exported as point features.

To upload feature definition data to a field device:

  1. Ensure that the file from which you want to export data, or one of its nested nodes, is selected in the Explorer pane.
  2. Connect the field device to your computer.
  3. Click File > Export. The Export File dialog displays.
  4. Click Upload to a device.
  5. Select a field device in the Device name list.
  6. Select a program in the Application list.
  7. Click OK.

To export feature definition data to a file:

  1. Ensure that the file from which you want to export data, or one of its nested nodes, is selected in the Explorer pane.
  2. Click File > Export. The Export File dialog displays.
  3. Click Export to file.
  4. Select the format for the exported file in the File type list.
  5. Do one of the following:
    • Type a file path and name in the Target file box.
    • Click the [image] button to display the Save As dialog. In the Save As dialog, type a name for the file, select a file type, and select a location to store the file. Then click OK. The path and file name are displayed in the Target file box.
  6. In the Export File dialog, click OK.

Related topics

Export and Upload Options

Import and Export Formats

Exporting Data Dictionary Files (.ddf)


Export and Upload Options

Use these options to send data to another application or a field device. They are available in the Export File dialog.

Options
Source file | Select or type a path to the file you want to export, or click the [image] icon to navigate to another directory.
Export to file | Select this option to export the source file to another file location on your computer or network.
Upload to a device | Select this option to upload the file to a field device.
File type | Select the file format that you want to export.
Target file | Select or type a path to which you want to export the file, or click the [image] icon to navigate to another directory.
Device name | Displays the name of the field device you have connected.
Application | Select the software for which the file is intended.

Related topics

Exporting and Uploading Feature Definition Data

Import and Export Formats

Exporting Data Dictionary Files (.ddf)


Exporting Data Dictionary Files (.ddf)

If you are using Trimble® GPS Pathfinder software, you can export data dictionary files (.ddf) to the Data Dictionary Editor. Exporting feature data in this format saves you from recreating attributes in the Data Dictionary Editor.

  • All feature definitions in the file are exported to the data dictionary file, regardless of what is selected. Feature definitions are exported whether they contain attributes or not.
  • Feature definitions are exported as point features. You can change the feature type to line in the Data Dictionary Editor.
  • Data dictionary files contain just name, code, and attributes for the feature. No other feature information, such as layers, line styles, groups, or control codes, is exported.

Related topics

Exporting and Uploading Feature Definition Data

Export and Upload Options

Import and Export Formats


Viewing Reports

Various reports are available for viewing. To view a report, select File > Report and the report you want to view. The report displays in a separate browser window.


Previous Topic

Next Topic

Legal Notices


Corporate Office

Trimble Navigation Limited
Engineering and Construction Division
5475 Kellenburger Road
Dayton, Ohio 45424-1099
U.S.A.

Phone: +1-937-233-8921
Toll free (in USA): +1-800-538-7800
Fax: +1-937-233-9441

www.trimble.com

Copyright and Trademarks

© 2006-2011, Trimble Navigation Limited. All rights reserved.

The Globe & Triangle logo and Trimble are trademarks of Trimble Navigation Limited registered in the United States Patent and Trademark Office and in other countries. Digital Fieldbook and Trimble Geomatics Office are trademarks of Trimble Navigation Limited. Interlock and Recon are trademarks of Tripod Data Systems, Inc., a wholly owned subsidiary of Trimble Navigation Limited. Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries. All other trademarks are the property of their respective owners.

Release Notice

This is the help for version 2.08 of Trimble® Feature Definition Manager software.